Kerbal Space Program - Bug #20729

Mk2 Lander Can IVA View
12/20/2018 06:53 PM - klesh

Status: Ready to Test Start date: 12/20/2018
Severity: Low % Done: 80%
Assignee:

Category: Parts

Target version: 1.12.0

Version: 1.6.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

When viewing the inside of the Mk2 Lander Can, there are some problems.

Problem 1 - Gap in the geometry:
Steps to reproduce.

1. Launch just Mk2 Lander Can

2. Press Interior Overlay button.

3. Move camera so you can view the rear left (port) side of the interior cabin.
4. Observe gap in the walls, allowing you to see out of the vehicle.

Problem 2 - Inconsistent windows:

Steps to reproduce:

1. Launch Lander version of Mk2 Lander Can.

2. Press Interior overlay button.

3. Observe the side windows from outside the lander geometry look like windows.

4. Move camera inside lander geometry and observe the windows are removed and it looks like an interior view of lander can walls.

Expected behaviour: The view in Problem2-step3 should instead look like the structural texture seen in Problem2-step4

History

#1 - 12/20/2018 07:30 PM - joshua.collins
- Version changed from 1.5.1 to 1.6.0

#2 - 12/24/2018 09:18 PM - Nebbie
- Platform Linux added

Confirmed on Linux, however, | would like to note the problem with the side windows is more general: They become invisible with interior overlay
viewed from the inside, but not the outside (so in rover variant, with interior overlay, you can see out them, but not into them.)

#3 - 12/24/2018 09:19 PM - Nebbie
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 12/24/2018 09:20 PM - Nebbie
Partial duplicate of 20728

#6 - 06/24/2021 10:54 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
#7 - 07/08/2021 01:15 AM - klesh

victorr wrote:
We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
Hi Victorr, thank you. | have checked this and the gap in geometry from problem 1 is fixed! | definitely no longer see the gap.
Problem 2 still exists, but given the changes in KSP's future | wouldn't bother with it. Call this issue# "resolved" and use the remaining precious bugfix

time on more important things.

| can't seem to change the progress to fixed or resolved or anything, but consider this resolved!
